%global pypi_name libevdev

Name:		python-libevdev
Version:	0.11
Release:	%mkrel 2
Summary:	Python bindings to the libevdev evdev device wrapper library
Group:          Development/Python

License:	MIT
URL:		https://pypi.python.org/pypi/libevdev/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  python3-devel

%description
Python bindings to the libevdev evdev device wrapper library. These bindings
provide a pythonic API to access evdev devices and create uinput devices.

%package -n	python3-libevdev
Summary:	Python bindings to the libevdev evdev device wrapper library
%{?python_provide:%python_provide python3-libevdev}

%description -n	python3-libevdev
Python bindings to the libevdev evdev device wrapper library. These bindings
provide a pythonic API to access evdev devices and create uinput devices.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files libevdev

%files -n	python3-libevdev -f %{pyproject_files}
%license COPYING



%changelog
* Mon Mar 03 2025 wally <wally> 0.11-2.mga10
+ Revision: 2159805
- rebuild for python3.13 with sources from pypi

* Tue Dec 12 2023 papoteur <papoteur> 0.11-1.mga10
+ Revision: 2017686
- adaptation to pyproject
- rebuild for python 3.12

* Sun Dec 04 2022 joequant <joequant> 0.11-1.mga9
+ Revision: 1917906
- imported package python-libevdev


* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.11-2
- Rebuilt for Python 3.11

* Mon May 30 2022 Peter Hutterer <peter.hutterer@redhat.com> - 0.11-1
- python-libevdev 0.11

* Thu Feb 10 2022 Peter Hutterer <peter.hutterer@redhat.com> - 0.10-1
- python-libevdev 0.10

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.9-4
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 04 2020 Peter Hutterer <peter.hutterer@redhat.com> 0.9-1
- python-libevdev 0.9

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.8-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Sep 03 2019 Peter Hutterer <peter.hutterer@redhat.com> 0.8-1
- python-libevdev 0.8

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.7-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 23 2019 Peter Hutterer <peter.hutterer@redhat.com> 0.7-1
- python-libevdev 0.7

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 26 2018 Peter Hutterer <peter.hutterer@redhat.com> 0.6.1-1
- python-libevdev 0.6.1

* Tue Sep 11 2018 Peter Hutterer <peter.hutterer@redhat.com> 0.5-4
- Update URLs for gitlab

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.5-2
- Rebuilt for Python 3.7

* Tue Apr 24 2018 Peter Hutterer <peter.hutterer@redhat.com> 0.5-1
- python-libevdev 0.5

* Thu Apr 19 2018 Peter Hutterer <peter.hutterer@redhat.com> 0.4-2
- Fix failure when setting up EV_REP

* Mon Feb 26 2018 Peter Hutterer <peter.hutterer@redhat.com>- 0.4-1
- initial import (#1549003)

